Bug 1339590 (CVE-2016-5093) - CVE-2016-5093 php: improper nul termination leading to out-of-bounds read in get_icu_value_internal
Summary: CVE-2016-5093 php: improper nul termination leading to out-of-bounds read in ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5093
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1339950
Blocks: 1339953
TreeView+ depends on / blocked
 
Reported: 2016-05-25 11:57 UTC by Adam Mariš
Modified: 2019-09-29 13:50 UTC (History)
13 users (show)

Fixed In Version: php 5.5.36, php 5.6.22, php 7.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-07 12:58:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Adam Mariš 2016-05-25 11:57:03 UTC
An out-of-bounds read vulnerability was found in get_icu_value_internal causes leakage of heap memory because of missing null character at the end of zend_string.

Upstream bug:

https://bugs.php.net/bug.php?id=72241

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=97eff7eb57fc2320c267a949cffd622c38712484

CVE request:

http://seclists.org/oss-sec/2016/q2/404

Comment 1 Adam Mariš 2016-05-26 09:08:24 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1339950]

Comment 2 Fedora Update System 2016-05-29 22:21:27 UTC
php-5.6.22-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-30 21:20:52 UTC
php-5.6.22-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-03 15:21:52 UTC
php-5.6.22-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tomas Hoger 2016-06-07 12:58:12 UTC
This issue is a very limited information leak / out of bounds read, caused by a failure to nul terminate string in certain cases.  The use of term "leak" is misleading, as it's not a resource leak / failure to de-allocate memory after its effective life time.  Practically, only few bytes or memory are disclosed, unlikely to disclose sensitive information.

This issue is in the intl (Internationalization) extension.  In Red Hat products, this extension is packaged separately in php-intl sub-RPM.  Systems without that package installed can not be affected by this issue.

Comment 6 errata-xmlrpc 2016-11-15 11:53:06 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.